Get a team
GET
/teams/{id}
const url = 'https://api.muninx.com/teams/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.muninx.com/teams/example \ --header 'Authorization: Bearer <token>'Admins and agents can view a team in their current tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Team and member count
Media type application/json
object
id
required
Immutable tenant-scoped team ID.
string
name
required
string
description
required
string
avatar
Avatar URL, present after upload.
string
created-at
required
string format: date-time
updated-at
required
string format: date-time
member-count
required
Number of assigned tenant memberships, including pending and suspended members.
integer
Example generated
{ "id": "example", "name": "example", "description": "example", "avatar": "example", "created-at": "2026-04-15T12:00:00Z", "updated-at": "2026-04-15T12:00:00Z", "member-count": 1}Invalid tenant or team ID
Missing or invalid bearer token
Role is not permitted
Team not found
Unable to retrieve team or member count